Skip to content
  • 4.8.0
  • f2b7c2a
  • Compare
    Choose a tag to compare
    Search for a tag
  • 4.8.0
  • f2b7c2a
  • Compare
    Choose a tag to compare
    Search for a tag

@Palakis Palakis released this Apr 10, 2020 · 43 commits to master since this release

Only use this release with OBS Studio v25 (v24 on macOS) or above!

Changes since 4.7.1

Features & Improvements

  • NDI 4.5 support (#416)
    • On macOS, you need to install the NDI 4.5 runtime manually! (download link below)
  • Spanish localization (thanks @COOLIGUAY in #357)

Bug fixes

  • Bugfix: The NDI Output Settings dialog wasn't always showing text input fields for the Program & Preview output names (#373)
  • Bugfix: NDI runtime download issues on Windows. The obs-ndi installer now downloads the runtime from a mirror I manage to prevent download errors that cause failed installs (#140)
  • A myriad of macOS bugfixes:
    • The plugin wasn't loading because of a problem with how macOS looks for plugin dependencies (#409)
    • With NDI 4.5 installed on the system, obs-ndi 4.7.1 would crash. This is now fixed with the addition of NDI 4.5 support.
    • The obs-ndi installer could fail to download the NDI runtime because of download server issues, or could fail to install it because it is not digitally signed. This step has been removed. macOS users now have to download & install the NDI 4.5 runtime separately (links provided below).
    • In addition to being digitally signed, the obs-ndi installer is now also notarized by Apple. This should eliminate "malicious software" prompts on Catalina.

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.8.0-Windows.zip archive:
    1. Copy the contents of the archive to the root of your OBS Studio installation folder
    2. Install the NDI 4.5 Windows runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-Windows.exe

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

Download libndi4_4.5.1-1_amd64.deb and obs-ndi_4.8.0-1_amd64.deb (both are provided below), and install them on your system.

macOS

Starting with obs-ndi 4.8.0, the NDI runtime is not installed automatically anymore.

  1. Download and run obs-ndi-4.8.0-macOS.pkg (provided below)
  2. Install the NDI 4.5.1 macOS runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-macOS.pkg
Assets 7
You can’t perform that action at this time.